Subject: Re: bug#63536: Feature Request

From: Eli Zaretskii <[email-masked]>
Date: Wed, 17 May 2023 20:16:18 +0300

> From: Payas Relekar <[email-masked]>
> Cc: Andrew Goh <[email-masked]>,  [email-masked]
> Date: Wed, 17 May 2023 19:34:06 +0530
> 
> The idea itself is valid, as long as the update check happens only at
> explicit user action. The command should only compare current version of
> Emacs with the latest update and inform user about the difference. Then
> the onus is on user to proceed with the update. Command output can point
> them to relevant section of the manual, informing of ways to install
> (and also update) Emacs.

How will we know where to look?  That's the main technical issue with
this, I think.

Another possible issue is whether just to tell the user "A newer
version XY.Z is available, you can download it at <URL>", or also
offer a possibility of actually downloading the newer version?